## org.eclipse.emf.codegen.ecore.genmodel
Class GenPackage.AnnotationReferenceData

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.GenPackage.AnnotationReferenceData

Enclosing interface:
  GenPackage

    public static final class GenPackage.AnnotationReferenceData

extends java.lang.Object

Since:
  2.5

Field Summary
`GenPackage` `containingGenPackage`
`java.lang.String` `uriFragment`

Constructor Summary
`GenPackage.AnnotationReferenceData(GenPackage containingGenPackage, java.lang.String uriFragment)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### containingGenPackage

    public final GenPackage containingGenPackage

### uriFragment

    public final java.lang.String uriFragment

Constructor Detail

### GenPackage.AnnotationReferenceData

    public GenPackage.AnnotationReferenceData(GenPackage containingGenPackage,
                                              java.lang.String uriFragment)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.